package com.chinaitop.depot.intelligent.grainsituation.mapper;

import com.chinaitop.depot.intelligent.grainsituation.model.TLightinfo;
import com.chinaitop.depot.intelligent.grainsituation.model.TLightinfoExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface TLightinfoMapper {
    int countByExample(TLightinfoExample example);

    int deleteByExample(TLightinfoExample example);

    int insert(TLightinfo record);

    int insertSelective(TLightinfo record);

    List<TLightinfo> selectByExample(TLightinfoExample example);

    int updateByExampleSelective(@Param("record") TLightinfo record, @Param("example") TLightinfoExample example);

    int updateByExample(@Param("record") TLightinfo record, @Param("example") TLightinfoExample example);
}